.html_autocomplete {
    overflow: hidden;
}

.autocomplete {
    position: fixed;
    right: 0;
    bottom: 0;
    z-index: 150;
    display: none;
    overflow: hidden;
    @media @mq_tablet {
        top: @btn-height;
        left: 0;
    }
    @media @mq_tablet_ {
        top: 0;
        left: @left-bar-width;

    }
    &_in,
    &_out,
    &_open {
        display: block;
    }
    &__overlay {
        z-index: 1;
        background-color: rgba(222, 222, 222, 0.9);
        position: absolute;
        height: 100%;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        opacity: 0;
        .autocomplete_in & {
            animation: fade-in @duration @easing both;
        }
        .autocomplete_open & {
            opacity: 1;
        }
        .autocomplete_out & {
            animation: fade-out @duration @easing both;
        }
    }
    &__box {
        position: absolute;
        z-index: 2;
        max-height: 100%;
        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        .shadow_5;
        background-color: #fff;
        @media @mq_tablet_ {
            transform: translateX(-100%);
            max-width: @left-bar-width*2;
            height: 100%;
            display: flex;
            .autocomplete_in & {
                animation: move-from-left @duration @easing both;
            }

            .autocomplete_open & {
                transform: translateX(0);
            }

            .autocomplete_out & {
                animation: move-to-left @duration @easing both;
            }
        }
        @media @mq_phone_tablet {
            right: @btn-height;
        }
        @media @mq_tablet {
            transform: translateY(-100%);
            .autocomplete_in & {
                animation: move-from-top @duration @easing both;
            }

            .autocomplete_open & {
                transform: translateX(0);
            }

            .autocomplete_out & {
                animation: move-to-top @duration @easing both;
            }
        }
    }
    &__scroll {
        align-self: flex-start;
        margin: auto;
        width: 100%;
        @media @mq_tablet_ {
            padding-bottom: @spacing/2;
        }
    }
    &__empty {
        text-align: center;
        .p_s;
    }
    &__header {
        .p_s;
    }
    &__count {
        display: inline-block;
        color: @c-text;
    }
    &__list {
        z-index: 5;
    }
}
